geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ashish Jain <ashja...@gmail.com>
Subject Axis 1.5.1 and Axis 1.3 incompatibilities
Date Mon, 05 Apr 2010 10:33:15 GMT
Hi,

I have a EAR application which has axis2 1.5.1 jars packaged. I am using
geronimo 2.1.3 which comes with axis2 1.3. While deployment I hit the
following error:
Caused by:
java.lang.ClassCastException:
org.apache.axis2.receivers.RawXMLINOnlyMessageRece
iver incompatible with org.apache.axis2.engine.MessageReceiver
        at
org.apache.axis2.deployment.DescriptionBuilder.loadMessageReceiver(De
scriptionBuilder.java:191)
        at
org.apache.axis2.deployment.DescriptionBuilder$1.run(DescriptionBuild
er.java:144)
        at
org.apache.axis2.java.security.AccessController.doPrivileged(AccessCo
ntroller.java:132)
        at
org.apache.axis2.deployment.DescriptionBuilder.processMessageReceiver
s(DescriptionBuilder.java:140)
        at
org.apache.axis2.deployment.AxisConfigBuilder.populateConfig(AxisConf

Is it possible to use axis2 1.5.1 with geronimo 2.1.3??

Thanks
Ashish

Mime
View raw message